%define pkg_name        WWW-CheckSite
%define pkg_version     0.018
%define rpm_pkg_version 0.018
%define rpm_pkg_release 1.n0i.2

Summary:       OO interface to an iterator that checks a website
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AB/ABELTJE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Template)
BuildRequires: perl(LWP)
BuildRequires: perl(Storable) >= 2.06
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(WWW::Mechanize) >= 1.2
BuildRequires: perl(WWW::RobotRules)


%description
This module implents a spider, that checks the pages on a website. For each
page the links and images on that page are checked for availability.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
# no shit
%{!?_without_test:%{__make} test ||:}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.018-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.018

* Tue May 30 2006 Marius Feraru <altblue@n0i.net> - 0.016-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
